CUDA Runtime API (PDF) - v10.0.130 (older) - Last updated August 25, 2018 - Send Feedback

## 6.2. cudaChannelFormatDesc Struct Reference

## [Data types used by CUDA Runtime]

CUDA Channel format descriptor

### Public Variables

enumcudaChannelFormatKind f
int w
int x
int y
int z

### Variables

enumcudaChannelFormatKind cudaChannelFormatDesc::f [inherited]

  Channel format kind

int cudaChannelFormatDesc::w [inherited]

  w

int cudaChannelFormatDesc::x [inherited]

  x

int cudaChannelFormatDesc::y [inherited]

  y

int cudaChannelFormatDesc::z [inherited]

  z